Skip to content

Create 'Erranddelegationoffer'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
rounding_occurrenceobject or null

Additional Validation Information:

This value can't bet set, when any of the following fields are set: general_errand, inspection_errand

This field, or at least one of the following fields must be set: general_errand, inspection_errand

inspection_errandobject or null(Inspectionerrand)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: general_errand, rounding_occurrence

This field, or at least one of the following fields must be set: general_errand, rounding_occurrence

descriptionstring or null
answerboolean or null
answered_timestring or null, (date-time)

Additional Validation Information:

This value requires that the following fields are also set: answer

purpose_plannerboolean
custom_idstring or null, <= 128 characters
general_errandobject or null(Generalerrand)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: inspection_errand, rounding_occurrence

This field, or at least one of the following fields must be set: inspection_errand, rounding_occurrence

organization_userobject or null(Organizationuser)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: external_supplier

This field, or at least one of the following fields must be set: external_supplier

external_supplierobject or null(Externalsupplier)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: organization_user

This field, or at least one of the following fields must be set: organization_user

organizationobject or null(Organization)
POST
/errands/delegations/erranddelegationoffer/
curl -i -X POST \
  https://dev.api.pigello.io/errands/delegations/erranddelegationoffer/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "rounding_occurrence": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "inspection_errand": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "description": "string",
    "answer": true,
    "answered_time": "2019-08-24T14:15:22Z",
    "purpose_planner": true,
    "custom_id": "string",
    "general_errand": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "organization_user": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "external_supplier": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  }'

Responses

Successful creation

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

rounding_occurrenceobject or null

Additional Validation Information:

This value can't bet set, when any of the following fields are set: general_errand, inspection_errand

This field, or at least one of the following fields must be set: general_errand, inspection_errand

inspection_errandobject or null(Inspectionerrand)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: general_errand, rounding_occurrence

This field, or at least one of the following fields must be set: general_errand, rounding_occurrence

descriptionstring or null
answerboolean or null
answered_timestring or null, (date-time)

Additional Validation Information:

This value requires that the following fields are also set: answer

purpose_plannerboolean
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
general_errandobject or null(Generalerrand)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: inspection_errand, rounding_occurrence

This field, or at least one of the following fields must be set: inspection_errand, rounding_occurrence

organization_userobject or null(Organizationuser)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: external_supplier

This field, or at least one of the following fields must be set: external_supplier

external_supplierobject or null(Externalsupplier)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: organization_user

This field, or at least one of the following fields must be set: organization_user

organizationobject or null(Organization)
Response
{ "rounding_occurrence": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "inspection_errand": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "description": "string", "answer": true, "answered_time": "2019-08-24T14:15:22Z", "purpose_planner": true, "custom_id": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created_at": "2019-08-24T14:15:22Z", "general_errand": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "organization_user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "external_supplier": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }